配送業者取得
GET
/delivery_companies/{deliv_trans_id}
const url = 'https://api.smaregi.dev/TARGET-CONTRACT-ID/ec-oms/delivery_companies/example?fields=delivTransId%2CdelivTransName';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url 'https://api.smaregi.dev/TARGET-CONTRACT-ID/ec-oms/delivery_companies/example?fields=delivTransId%2CdelivTransName' \ --header 'Authorization: Bearer <token>'配送業者を取得します。
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”deliv_trans_id
required
string
配送業者ID
Query Parameters
Section titled “Query Parameters”fields
Array<string>
取得するフィールドをカンマ区切りで指定します。 指定がない場合すべてのフィールドを取得します。
Example
?fields=delivTransId,delivTransNameResponses
Section titled “Responses”取得成功
Media typeapplication/json
DeliveryCompany
object
delivTransId
配送業者ID
string
delivTransName
配送業者名
string
Examples
Exampledefault
{ "delivTransId": "1000", "delivTransName": "テスト配送業者"}Fieldsに指定外の値が設定されている場合
Media typeapplication/json
object
type
required
string
title
required
string
detail
One of:
string
Array<string>
status
integer
Examples
Examplefieldsに指定外の値が設定されている場合
{ "type": "about:blank", "title": "BadRequest", "detail": "指定されたfields項目が不正です: {invalid_field}", "status": 400}指定されたIDのリソースが存在しない場合
Media typeapplication/json
object
type
required
string
title
required
string
detail
One of:
string
Array<string>
status
integer
Examples
Example指定したリソースが存在しない場合
{ "type": "about:blank", "title": "NotFound", "detail": "指定されたIDのリソースが見つかりません", "status": 404}サーバー内部エラー
Media typeapplication/json
object
type
required
string
title
required
string
detail
One of:
string
Array<string>
status
integer
Examples
Exampledefault
{ "type": "about:blank", "title": "InternalServerError", "status": 500}